<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: xmlsishandballv2ics.php 2023-07-04
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// Den direkten Aufruf verbieten
defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;
 
/**
 * xmlsishandballv2 component helper.
 */
class xmlsishandballv2Helper extends JHelperContent
{

	public static function addSubmenu($vName) {
		JHtmlSidebar::addEntry(
			JText::_('COM_XMLSISHANDBALLV2_SUBMENU_HOME'),
			'index.php?option=com_xmlsishandballv2',
			$vName == 'home'
		);
		JHtmlSidebar::addEntry(
			JText::_('COM_XMLSISHANDBALLV2_SUBMENU_VEREINS'),
			'index.php?option=com_xmlsishandballv2&view=vereins',
			$vName == 'vereins'
		);
		JHtmlSidebar::addEntry(
			JText::_('COM_XMLSISHANDBALLV2_SUBMENU_CATEGORIES'),
			'index.php?option=com_categories&extension=com_xmlsishandballv2',
			$vName == 'categories'
		);
		JHtmlSidebar::addEntry(
			JText::_('COM_XMLSISHANDBALLV2_SUBMENU_CLUBS'),
			'index.php?option=com_xmlsishandballv2&view=clubs',
			$vName == 'clubs'
		);
		JHtmlSidebar::addEntry(
			JText::_('COM_XMLSISHANDBALLV2_SUBMENU_DATAS'),
			'index.php?option=com_xmlsishandballv2&view=xmlsishandballv2datas',
			$vName == 'xmlsishandballv2datas'
		);
		JHtmlSidebar::addEntry(
			JText::_('COM_XMLSISHANDBALLV2_SUBMENU_ICSDATAS'),
			'index.php?option=com_xmlsishandballv2&view=icsdatas',
			$vName == 'icsdatas'
		);
		JHtmlSidebar::addEntry(
			JText::_('COM_XMLSISHANDBALLV2_SUBMENU_CSS'),
			'index.php?option=com_xmlsishandballv2&view=xmlsishandballv2css',
			$vName == 'xmlsishandballv2css'
		);
		JHtmlSidebar::addEntry(
			JText::_('COM_XMLSISHANDBALLV2_SUBMENU_MENUUPDATES'),
			'index.php?option=com_xmlsishandballv2&view=menuupdates',
			$vName == 'menuupdates'
		);
	}


}