<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: default.php 2023-08-08
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access to this file
defined('_JEXEC') or die('Restricted Access');

use Joomla\CMS\Language\Text;
use Joomla\CMS\HTML\HTMLHelper;
 
// load tooltip behavior
//HTMLHelper::_('behavior.tooltip');
?>
<?php if(!empty( $this->sidebar)): ?>
<div id="j-sidebar-container" class="span2">
	<?php echo $this->sidebar; ?>
</div>
<div id="j-main-container" class="span10">
<?php else: ?>
<div id="j-main-container">
<?php endif;?>
<div class="row row-fluid">
	<div class="cpanel-left span8 col-md-8">
		<div class="cpanel" <?php echo (version_compare(JVERSION, '4', '<')) ? 'style="padding: 0 20px;"' : ''; ?>>
			<h1><?php echo Text::_('COM_XMLSISHANDBALLV2_TMPL_DEFAULT_HEADING') ?></h1>
			<p><strong>Die Komponente wurde erfolgreich installiert. Um die Komponente zu verwenden, muss man in einem Menü die Links zu der Komponente neu erstellen.<br>ACHTUNG - die Komponente funktioniert nur, wenn man bei SIS registriert ist und den XML-Export von SIS freigeschaltet hat!</strong></p>

			<h2>1. Schritt</h2>
<ul>
<li>Unter Vereine den eigenen Verein anlegen. <a href="index.php?option=com_xmlsishandballv2&view=vereins">Jetzt anlegen</a></li>
</ul>
<br>
<h2>2. Schritt</h2>
<ul>
<li>Ein Menü aus dem Bereich Menüs auswählen.</li>
<li>Danach den Button NEU anklicken.</li>
</ul>
<br>
<h2>3. Schritt</h2>
<ul>
<li>Im Menütyp nach unten scrollen.</li>
<li>XML SIS Handball v2 auswählen</li>
<li>Danach auf XML SIS Handball v2 klicken.</li>
</ul>
<br>
<h2>4. Schritt </h2>
<ul>
<li>Im Bereich der Basisparameter kann man jetzt alle Einstellungen vornehmen.</li>
<li>Wichtig für die Funktionalität ist die Auswahl des Vereins und die Nummer der Liga</li>
<li>Für jede Darstellung der Liga, ob Tabelle, Spielplan oder Statistik, kann man jetzt neue Menüpunkte anlegen.</li>
</ul>
					<br>
						<h2>CSS Bearbeiten</h2>
<ul>
<li>Mit dem Button CSS Bearbeiten können Sie die CSS-Datei für Ihr Layout anpassen.</li>
</ul>
<br>
<h2>ICS Abos</h2>
<ul>
<li>Hier können Sie die ICS-Dateien für Ihre Mannschaften erstellen. ACHTUNG dieser <a href="<?php echo substr(JURI::base(), 0, -14) ?>index.php?option=com_xmlsishandballv2&view=icsdata" target="_blank">Link</a> muss über ein Cronscript von Zeit zu Zeit aufgerufen werden, damit die ics-Dateien aktuell sind. Falls Ihr Provider keine Cronscripts zuläßt, können Sie unter <a href="http://www.cronjob.de" target="_new">cronjob.de</a> die Datei anstoßen lassen.</li>
</ul>
<br>
<h2>Kategorien</h2>
<ul>
<li>Mit dem Link Kategorien können Sie die Kategorien für die Vereinslogos anlegen.</li>
</ul>
<br>
<h2>Vereinslogos</h2>
<ul>
<li>Mit dem Link Vereinslogos können Sie die Vereinslogos für die Darstellung in den Tabellen, Spielplänen und Torschützenlisten anlegen.</li>
</ul>
<br>
<h2>XML Files</h2>
<ul>
<li>Mit dem Link XML Files können Sie die gespeicherten Daten, die eingelesene XML-Daten, ansehen.</li>
</ul>
<br>
<h2>Menü Updates</h2>
<ul>
<li>Mit dem Link können bestehende XML SIS-Handballv2 Menüeinträge einem Verein zugeordnet werden.</li>
</ul>
					
			</div>
		</div>
			
		<div class="cpanel-right span4 col-md-4">
			<div class="cpanel">
				<img src="../media/com_xmlsishandballv2/images/xmlsishbv2_logo.png" alt="XML SIS-Handball v2" />
			</div>
		</div>
		
		<div class="clr" style="clear: both"></div>
		
		<div class="row row-fluid" style="margin-top:40px;">
			<?php echo xmlsishandballv2Controller::xshv2Footer(); ?>
		</div>
		

</div>
</div>
