﻿<?php

/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: view.html.php 2023-07-04
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\CMS\Language\Text;
 
// import Joomla view library
jimport('joomla.application.component.view');

class xmlsishandballv2Viewicsdata extends JViewLegacy { 

	protected $items;

	function display($tpl = null) {

		$app = Factory::getApplication();
		
		$this->items = $this->get('Items');
			
		$params = $app->getParams();
			
		$model = $this->getModel();
		
		//$this->assignRef('params',		$params);
		$this->params = $params;
		
		//$catid = $params->get( 'catid');
		//echo 'Kategorie: '.$params;
		//Pagetitel
		$page_title = $params->get('page_title', '');
		$sitename = $app->getCfg('sitename');
		$title = '';
		if ($app->getCfg('sitename_pagetitles', 0) == 0) {
			$title = $page_title;
		} elseif ($app->getCfg('sitename_pagetitles', 0) == 1) {
			$title = Text::sprintf('JPAGETITLE', $app->getCfg('sitename'), $title).$page_title;
		} elseif ($app->getCfg('sitename_pagetitles', 0) == 2) {
			$title = $page_title.Text::sprintf('JPAGETITLE', $title, $app->getCfg('sitename'));
		}
		$this->document->setTitle($title);
		

		$icsdata = $model->getICSData();
		//$this->assignRef('icsdata', $icsdata);
		$this->icsdata = $icsdata;
		//$vereindata = $model->getVereinData($verein_id);

		parent::display($tpl);
	}
}

