﻿<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: default_statistics.php 2024-01-17
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

	$clublogodefault = 'images/com_xmlsishandballv2/default/placeholder.png';

	$colspan = 5;

	if ( $this->params->get( 'sis_getxmldatei') ) {
		echo '<pre>';
		print_r($this->statistik);
		echo '</pre>';
	}

	foreach ($this->statistik->Spielklasse as $klasse) {
		echo '<h2 id="sis_stats_liganame">'.$klasse->Name;
		if( $this->params->get( 'sis_ueberschrift') ) {
			echo ' '.$this->params->get( 'sis_ueberschrift');
		}
		echo '</h2>';
	}

	echo '<table id="table_statistik" class="table table-striped table-responsive">';


	echo '<thead>';
	echo '<tr class="sisdesc">';
	echo '<th>'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_STATISTICS_HEAD_NAME' ).'</th>';
	echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_STATISTICS_HEAD_GOALS' ).'</th>';
	echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_STATISTICS_HEAD_7M' ).'</th>';
	echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_STATISTICS_HEAD_GAMES' ).'</th>';
	echo '<th>'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_STATISTICS_HEAD_TEAM' ).'</th>';
	echo '</tr>';
	echo '</thead>';

	echo '<tbody>';
	$i=1;
	//if(!$this->statistik->body->form->div->span){
	if(empty($this->statistik->body->form->div->span)){
		foreach ($this->statistik->Spieler as $spl) {
			if( $this->params->get( 'sis_art') == "12a") {
				echo (($i%2 != 0) ? '<tr class="odd">' : '<tr class="even">');
				echo '<td>';
				echo ((empty($spl->Name)) ? '&nbsp;' : $spl->Name);
				echo '</td>';
				echo '<td style="text-align:center;">';
				echo ((empty($spl->AnzTore)) ? '&nbsp;' : $spl->AnzTore);
				echo '</td>';
				echo '<td style="text-align:center;">';
				echo ((empty($spl->SiebenMeterVersuche)) ? '&nbsp;' : $spl->SiebenMeterVersuche).'/'.((empty($spl->SiebenMeterGetroffen)) ? '&nbsp;' : $spl->SiebenMeterGetroffen);
				echo '</td>';
				echo '<td style="text-align:center;">';
				echo ((empty($spl->AnzahlSpiele)) ? '&nbsp;' : $spl->AnzahlSpiele);
				echo '</td>';
				echo '<td>';
				if( $this->params->get( 'sis_clublogo')) {
					if( xmlsishandballv2Helper::getClublogo($spl->Mannschaft)) {
						$clublogoimg = xmlsishandballv2Helper::getClublogo($spl->Mannschaft);
						echo '<img class="clublogostat" src="'.$clublogoimg[0]->clublogo.'" style="height:'.$this->params->get('sis_clublogo_height').'px;"> ';
					} else {
						echo '<img class="clublogostat" src="'.$clublogodefault.'" style="height:'.$this->params->get('sis_clublogo_height').'px;"> ';
					}
				}
				echo ((empty($spl->MannschaftsName)) ? '&nbsp;' : $spl->MannschaftsName);
				echo '</td>';
				echo '</tr>';
				$i++;
			} elseif( $this->params->get( 'sis_clubnummer') === (string) $spl->Mannschaft || $sis_clubnummer1 === (string) $spl->Mannschaft) {
				echo (($i%2 != 0) ? '<tr class="odd">' : '<tr class="even">');
				echo '<td>';
				echo ((empty($spl->Name)) ? '&nbsp;' : $spl->Name);
				echo '</td>';
				echo '<td style="text-align:center;">';
				echo ((empty($spl->AnzTore)) ? '&nbsp;' : $spl->AnzTore);
				echo '</td>';
				echo '<td style="text-align:center;">';
				echo ((empty($spl->SiebenMeterVersuche)) ? '&nbsp;' : $spl->SiebenMeterVersuche).'/'.((empty($spl->SiebenMeterGetroffen)) ? '&nbsp;' : $spl->SiebenMeterGetroffen);
				echo '</td>';
				echo '<td style="text-align:center;">';
				echo ((empty($spl->AnzahlSpiele)) ? '&nbsp;' : $spl->AnzahlSpiele);
				echo '</td>';
				echo '<td>';
				if( $this->params->get( 'sis_clublogo')) {
					if( xmlsishandballv2Helper::getClublogo($spl->Mannschaft)) {
						$clublogoimg = xmlsishandballv2Helper::getClublogo($spl->Mannschaft);
						echo '<img class="clublogostat" src="'.$clublogoimg[0]->clublogo.'" style="height:'.$this->params->get('sis_clublogo_height').'px;">';
					} else {
						echo '<img class="clublogostat" src="'.$clublogodefault.'" style="height:'.$this->params->get('sis_clublogo_height').'px;">';
					}
				}
				echo ((empty($spl->MannschaftsName)) ? '&nbsp;' : $spl->MannschaftsName);
				echo '</td>';
				echo '</tr>';
				$i++;	
			}
		}
	echo '</tbody>';
	} else {
		echo '<tbody>';
		echo "<tr>";
		echo '<td colspan="'.$colspan.'">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_NO_DATA' ).' ('.$this->statistik->body->form->div->span.')';
		echo "</td>";
		echo "</tr>";
		echo '</tbody>';
	}

	echo '<tfoot>';
	echo '<tr>';
	echo '<td class="small" colspan="'.$colspan.'">';
	$lastmodify = xmlsishandballv2Helper::getUpdateTime($this->params->get('sis_liganummer'),12);
	echo 'Quelle: <a href="'.$this->nationurl.'" target="_blank">'.substr($this->nationurl, 7).'</a> - '.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_LAST_UPDATE' ).' '.date("d.m.Y H:i:s", strtotime($lastmodify[0]->last_updated));
	echo "</td>";
	echo "</tr>";
	echo '</tfoot>';
	echo '</table>';
	echo xmlsishandballv2Controller::xshv2Footer();



