<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: xmlsishandballv2css.php 2023-07-04
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Factory;
use Joomla\Utilities\ArrayHelper;
 
// import Joomla controllerform library
jimport('joomla.application.component.controllerform');
 
/**
 * xmlsishandballv2css Controller
 */
class xmlsishandballv2Controllerxmlsishandballv2css extends JControllerForm {
	
	
	function saveCSS() {
		$option = ArrayHelper::getValue( $_POST, 'option' );
		$this->saveapplyCSS( $option, 0 );
	}
	function applyCSS() {
		$option = ArrayHelper::getValue( $_POST, 'option' );
		$this->saveapplyCSS( $option, 1 );
	}

	
	function saveapplyCSS($option, $apply) {
		//global $mainframe;
	$app = &Factory::getApplication();

	$fname = ArrayHelper::getValue( $_POST, 'fname' );
	$option = ArrayHelper::getValue( $_POST, 'option' );
	$fcontent = $_POST['fcontent'];
	$fcontent = stripslashes($fcontent);

	$enable_write = intval( ArrayHelper::getValue( $_POST, 'enable_write', 0 ) );
	$oldperms = fileperms($fname);
	if ( $enable_write ) {
		//@chmod( $fname, $oldperms | 0222);
		@chmod( $fname, 0755);
	}

	if ( $fp = fopen($fname, 'w') ) {
		fputs($fp, $fcontent, strlen($fcontent));
		fclose($fp);
		if ($enable_write) {
			//@chmod($fname, $oldperms);
			@chmod( $fname, 0755);
		} else {
			if ( ArrayHelper::getValue( $_POST, 'disable_write', 0 ) ){
				@chmod($fname, $oldperms & 0777555);
			}
		}

		$msg = JText::_( 'Datei gespeichert!' );
		if( $apply == 1 ){
			$this->setRedirect( 'index.php?option='.$option.'&view=xmlsishandballv2css&afmsg='.$msg.'&afimg=1' );
		} else {
			$this->setRedirect( 'index.php?option='.$option.'&msg='.$msg );
		}

	} else {
		if ($enable_write) {
			//@chmod( $fname, $oldperms );
			@chmod( $fname, 0755);
		}
		$msg = JText::_( 'Datei konnte nicht gespeichert werden!' );
		if( $apply == 1 ){
			$this->setRedirect( 'index.php?option='.$option.'&view=xmlsishandballv2css&afmsg='.$msg.'&afimg=0' );
		} else {
			$this->setRedirect( 'index.php?option='.$option.'&msg='.$msg  );
		}
	}
	}
	
	function close() {
		$this->setRedirect('index.php?option=com_xmlsishandballv2');
	}
	

}