CREATE TABLE IF NOT EXISTS `#__xmlsishbv2_data` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `liga_nr` varchar(120) NOT NULL,
  `sis_art` varchar(120) NOT NULL,
  `content` longtext,
  `last_updated` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `started_download` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__xmlsishbv2_clubs` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `clubname` varchar(255) NOT NULL,
  `clubno` varchar(120) NOT NULL,
  `cat_id` int(11) NOT NULL,
  `clublogo` text NOT NULL,
  `checked_out` INT(10) NOT NULL DEFAULT '0',
  `checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__xmlsishbv2_verein` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `vereinsname` varchar(255) NOT NULL,
  `vereinsnameshort` varchar(120) NOT NULL,
  `vereinsnummer` varchar(120) NOT NULL,
  `vereinspasswort` varchar(120) NOT NULL,
  `nationurl` varchar(120) NOT NULL,
  `timezone` varchar(120) NOT NULL,
  `vereinsurl` varchar(120) NOT NULL,
  `checked_out` INT(10) NOT NULL DEFAULT '0',
  `checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `#__xmlsishbv2_icsdata` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `verein_id` int(11) NOT NULL,
  `icsteam` varchar(120) NOT NULL,
  `icsteamshort` varchar(120) NOT NULL,
  `ligano` varchar(120) NOT NULL,
  `teamno` varchar(120) NOT NULL,
  `teamno1` varchar(120) NOT NULL,
  `checked_out` INT(10) NOT NULL DEFAULT '0',
  `checked_out_time` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=0 DEFAULT CHARSET=utf8;