<?php
/**
 * @package     Joomla.Administrator
 * @subpackage  com_xmlsishandballv2
 *
 * @copyright   (C) 2015 Open Source Matters, Inc. <https://www.joomla.org>
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */
defined('_JEXEC') or die;

use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Language\Text;

$published = $this->state->get('filter.published');
?>

<div class="container-fluid">
	<div class="row-fluid">
		<p><?php echo Text::_('COM_XMLSISHANDBALLV2_MENUUPDATES_BATCH_TIP'); ?></p>
		<div class="control-group span6">
			<div class="controls">
				<select name="verein_id" class="inputbox" id="verein-id" <?php echo (version_compare(JVERSION, '4', '>')) ? 'style="width: 100%;"' : ''; ?> >
					<option value=""><?php echo Text::_('JSELECT') ?></option>
					<?php echo HTMLHelper::_('select.options', $this->vereine, 'value' , 'verein_id'); ?>
				</select>
			</div>
		</div>
	</div>
</div>
