﻿<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: default.php 2022-03-07
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');


$document = JFactory::getDocument();
$cssHTML = '<link href="components/com_xmlsishandballv2/assets/css/sis.css" rel="stylesheet" type="text/css" />' . "\n";
$document->addCustomTag( $cssHTML );

//$clublogodefault = 'images/com_xmlsishandballv2/default/placeholder.png';

// Anzeige Titel
?>
<div class="item-page<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
	<?php if ($this->params->get('show_page_heading')) : ?>
		<h1>
			<?php echo $this->escape($this->params->get('page_heading')); ?>
		</h1>
	<?php endif;

	//if ($this->params->get('show_page_title', 1) && $this->params->get('page_title') != $this->article->title) : 
	if ($this->params->get('show_page_title')) : ?>
		<h2>
			<span class="subheading-category"><?php echo $this->escape($this->params->get('page_title')); ?></span>
		</h2>
	<?php endif;
// Anzeige Titelend

	//Anzeige tabelle
	if ($this->tabelle) {
		echo $this->loadTemplate('table');
	}

	//Anzeige spielplan
	if ($this->spielplan) {
		echo $this->loadTemplate('meetings');
	}

	//Anzeige statistik
	if ($this->statistik) {
		echo $this->loadTemplate('statistics');
	}

// div item-page end ?>
</div> 

