﻿<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: default_meetings.php 2024-01-17
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

	$clublogodefault = 'images/com_xmlsishandballv2/default/placeholder.png';

	if( $this->params->get( 'sis_art') == "x" ) {
		//date_default_timezone_set('Europe/Vienna');
		date_default_timezone_set($this->timezone);
		//Ablauftest
		/*$heutetest="10.10.2011";
		$heutetest_f = explode('.', $heutetest); 
		$heute = mktime(0, 0, 0, $heutetest_f[1], $heutetest_f[0], $heutetest_f[2]);*/
		//Ablauftest end
		$heute = mktime(0, 0, 0, date("m")  , date("d"), date("Y"));
		//$futuredate = mktime(0, 0, 0, 1, 1, $this->params->get( 'sis_jahr'));
		$futuredate = mktime(0, 0, 0, 1, 1, (date("Y") + 2));
		$zaehler = 1;
		$colspan = 9;
		
		$wtag = Array(
	"Mon" => "Mo.",
	"Tue" => "Di.",
	"Wed" => "Mi.",
	"Thu" => "Do.",
	"Fri" => "Fr.",
	"Sat" => "Sa.",
	"Sun" => "So."
);

		$monat = Array(
	"Jan" => "Jänner",
	"Feb" => "Februar",
	"Mar" => "März",
	"Apr" => "April",
	"May" => "Mai",
	"Jun" => "Juni",
	"Jul" => "Juli",
	"Aug" => "August",
	"Sep" => "September",
	"Oct" => "Oktober",
	"Nov" => "November",
	"Dec" => "Dezember"
);
		

		//$lnr = $this->spielplan->Spielklasse->Liga;
		/*$filepath='components/com_xmlsishandballv2/data/';
		//File laden
		$datei = ($filepath.'sp_sis_art_1_ln_'.$lnr.'.xml');
		if (file_exists($datei)) {
			$lastmodify = filemtime($datei);
		}*/
		
		if ( $this->params->get( 'sis_getxmldatei') ) {

			/*
			echo '<pre>';
			print_r($this->spieltage);
			echo '</pre>';
			*/

			echo '<pre>';
			print_r($this->spielplan);
			echo '</pre>';
			
		}
		

		if( $this->params->get( 'sis_ueberschrift') ) {
			echo '<div class="ueberschrift">';
			echo $this->params->get( 'sis_ueberschrift');
			echo '</div>';
		}

		if ( $this->params->get( 'sis_getliganummer') ) {
			echo '<div class="liganame">';
			echo Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_LIGANAME' ).' ';
			echo $this->spielplan->Spielklasse->Name;
			echo '</div>';
		}
		
		//if(!$this->spielplan->body->form->div->span){
		if(empty($this->spielplan->body->form->div->span)){
			foreach ($this->spielplan->Spiel as $spiel) {
			
				if((string) $spiel->Mannschaft1 === $this->params->get( 'sis_clubnummer') || (string) $spiel->Mannschaft2 === $this->params->get( 'sis_clubnummer') || (string) $spiel->Mannschaft1 === $this->params->get( 'sis_clubnummer1') || (string) $spiel->Mannschaft2 === $this->params->get( 'sis_clubnummer1')) {
					//$spdatum_exp = explode('.', (string) $spiel->Datum);
					//print_r($spdatum_exp);
					//Sun, 09. Oct. 2011 => date('D, d. M. Y', strtotime ($spiel->Datum))
					$wtagsp = $wtag[date('D', strtotime ($spiel->Datum))];
					$monatsp = $monat[date('M', strtotime ($spiel->Datum))];
					$sdatum = mktime(0, 0, 0, date('m', strtotime ($spiel->Datum))  , date('d', strtotime ($spiel->Datum)), date('Y', strtotime ($spiel->Datum)));
					//echo 'Datum: '.$sdatum.' - heute: '.$heute;
					if($heute <= $sdatum && $sdatum < $futuredate) {
						echo '<span class="contentheading">'.$spiel->LigaName.' ';
						echo ((string) $spiel->Mannschaft1 === $this->params->get( 'sis_clubnummer') || (string) $spiel->Mannschaft1 === $this->params->get( 'sis_clubnummer1')) ? ''.$spiel->Heim.' ' : ''.$spiel->Gast.' ';
						echo 'Spiel: '.$wtagsp.', '.$spiel->Datum.'</span><br><br>';
						echo '<span class="contentpaneopen"><b>Termin:</b> '.$wtagsp.', '.date('j.', strtotime ($spiel->Datum)).' '.$monatsp.' '.date('Y', strtotime ($spiel->Datum)).' <br />';
						echo '<b>Zeit:</b> '.substr($spiel->vonUhrzeit, 0, -3).' Uhr <br />';
						echo '<b>Mannschaften:</b> '.$spiel->Heim.' - '.$spiel->Gast.' <br />';
						echo '<b>Spielort:</b> '.$spiel->HallenName.' (<a href="http://maps.google.com/maps?hl=de&ie=UTF8&q='.$spiel->HallenStrasse.', '.$spiel->HallenOrt.'&t=m&z=70" target="_blank">Karte</a>)<br />';
						//echo ($this->params->get( 'sis_link1')) ? '<a href="'.$this->sislink1.'" target="_top">'.$this->params->get( 'sis_link1name').'</a>' : '';
						//echo ($this->params->get( 'sis_link2') || $this->params->get( 'sis_ics_link') || $this->params->get( 'sis_linkhilfeics')) ? ' | ' : '';
						//echo ($this->params->get( 'sis_link1') && $this->params->get( 'sis_link2') || $this->params->get( 'sis_link1')) ? ' | ' : '';
						//echo ($this->params->get( 'sis_link2')) ? '<a href="'.$this->sislink1.'" target="_top">'.$this->params->get( 'sis_link2name').'</a>' : '';
						//echo ($this->params->get( 'sis_ics_link') || $this->params->get( 'sis_linkhilfeics')) ? ' | ' : '';
						//echo ($this->params->get( 'sis_link2') && $this->params->get( 'sis_linkhilfeics') || $this->params->get( 'sis_link1') && $this->params->get( 'sis_linkhilfeics')) ? ' | ' : '';
						//echo ($this->params->get( 'sis_ics_link')) ? '<a href="'.$SERVER['SERVER_NAME'].xmlsishandballv2Modelxmlsishandballv2::getICSLINK($this->params->get( 'sis_ics_link')).'"title="Bitte den Link kopieren, und in iCal oder Outlook für Kalender abonnieren verwenden" target="_blank">Spielplan abonnieren</a>' : ''; 
						echo ($this->params->get( 'sis_ics_link')) ? '<a href="'.JURI::base().xmlsishandballv2Modelxmlsishandballv2::getICSLINK($this->params->get( 'sis_ics_link')).'"title="Bitte den Link kopieren, und in iCal oder Outlook für Kalender abonnieren verwenden" target="_blank">Spielplan abonnieren</a>' : '';
						echo ($this->params->get( 'sis_linkhilfeics') && $this->params->get( 'sis_ics_link')) ? ' | ' : '';
						//echo ($this->params->get( 'sis_ics_link') && $this->params->get( 'sis_linkhilfeics') || $this->params->get( 'sis_link2') && $this->params->get( 'sis_linkhilfeics') || $this->params->get( 'sis_link1') && $this->params->get( 'sis_linkhilfeics')) ? ' | ' : '';
						echo ($this->params->get( 'sis_linkhilfeics')) ? ' (<a href="'.$this->icshelplink.'" target="_top">Hilfe</a>)' : '';
						echo '</span><span class="article_seperator">&nbsp;</span><br><br>';
					}
				}
		
			}
		} else {
			echo '<div class="siserror">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_NO_DATA' ).' ('.$this->spielplan->body->form->div->span.')</div>';
		}
		
		echo '<div class="small">';
		//$lastmodify = xmlsishandballv2Modelxmlsishandballv2::getUpdateTime($lnr,$this->params->get( 'sis_art'));
		//$lastmodify = xmlsishandballv2Modelxmlsishandballv2::getUpdateTime($this->spielplan->Spielklasse->Liga,$this->params->get( 'sis_art'));
		$lastmodify = xmlsishandballv2Helper::getUpdateTime($this->spielplan->Spielklasse->Liga,($this->params->get( 'sis_art') == "x" ? "1" : $this->params->get( 'sis_art')) );
		echo 'Quelle: <a href="'.$this->nationurl.'" target="_blank">'.substr($this->nationurl, 7).'</a> - '.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_LAST_UPDATE' ).' '.date("d.m.Y H:i:s", strtotime($lastmodify[0]->last_updated));
		echo "</div>";
		//echo '</table>';
		echo xmlsishandballv2Controller::xshv2Footer();

	} else {
	
	//date_default_timezone_set('Europe/Vienna');
	date_default_timezone_set($this->timezone);
	
	$wtag = Array(
	"Mon" => "Mo.",
	"Tue" => "Di.",
	"Wed" => "Mi.",
	"Thu" => "Do.",
	"Fri" => "Fr.",
	"Sat" => "Sa.",
	"Sun" => "So."
	);


	$zaehler = 1;

	if( $this->vereinsnummer==$this->params->get( 'sis_liganummer') && $this->params->get( 'sis_art') == "3" || $this->params->get( 'sis_art') == "11" ) {
		if ( $this->sis_getschiedsrichter && !$this->sis_getspielort || !$this->sis_getschiedsrichter && $this->sis_getspielort) {
			$colspan = 7;
			$class = ($this->vereinsnummer==$this->params->get( 'sis_liganummer') && !$this->sis_getschiedsrichter && $this->sis_getspielort ? "cs7vosr" : ($this->vereinsnummer==$this->params->get( 'sis_liganummer') ? "cs7v" : "cs7"));
		} elseif ( $this->sis_getschiedsrichter && $this->sis_getspielort) {
			$colspan = 8;
			$class = ($this->vereinsnummer==$this->params->get( 'sis_liganummer') && !$this->sis_getschiedsrichter && !$this->sis_getspielort ? "cs8vosroh" : ($this->vereinsnummer==$this->params->get( 'sis_liganummer') ? "cs8v" : "cs8"));
		} else {
			$colspan = 6;
			$class = ($this->vereinsnummer==$this->params->get( 'sis_liganummer') ? "cs6v" : "cs6");
		}
	} elseif($this->vereinsnummer==$this->params->get( 'sis_liganummer') && $this->params->get( 'sis_art') == "2" || $this->params->get( 'sis_art') == "10" ) {
		if ( $this->sis_getschiedsrichter && !$this->sis_getspielort || !$this->sis_getschiedsrichter && $this->sis_getspielort) {
			$colspan = 9;
			$class = ($this->vereinsnummer==$this->params->get( 'sis_liganummer') && !$this->sis_getschiedsrichter && $this->sis_getspielort ? "cs9vosr" : ($this->vereinsnummer==$this->params->get( 'sis_liganummer') ? "cs9v" : "cs9"));
		} elseif ( $this->sis_getschiedsrichter && $this->sis_getspielort) {
			$colspan = 10;
			$class = ($this->vereinsnummer==$this->params->get( 'sis_liganummer') ? "cs10v" : "cs10");
		} else {
			$colspan = 8;
			$class = ($this->vereinsnummer==$this->params->get( 'sis_liganummer') && !$this->sis_getschiedsrichter && !$this->sis_getspielort ? "cs8vosroh" : ($this->vereinsnummer==$this->params->get( 'sis_liganummer') ? "cs8v" : "cs8"));
		}
	} elseif($this->params->get( 'sis_art') == "1a" || $this->params->get( 'sis_art') == 3 || !$this->params->get( 'sis_art') == "3a" || !$this->params->get( 'sis_art') == 11 || !$this->params->get( 'sis_art') == "11a") {
		if ( $this->sis_getschiedsrichter && !$this->sis_getspielort || !$this->sis_getschiedsrichter && $this->sis_getspielort) {
			$colspan = 7;
			$class = (!$this->sis_getschiedsrichter && $this->sis_getspielort ? "cs7osr" : "cs7");
		} elseif ( $this->sis_getschiedsrichter && $this->sis_getspielort) {
			$colspan = 8;
			$class ="cs8";
		} else {
			$colspan = 6;
			$class ="cs6";
		}
	} else {
		if ( $this->sis_getschiedsrichter && !$this->sis_getspielort || !$this->sis_getschiedsrichter && $this->sis_getspielort) {
			$colspan = 8;
			$class = (!$this->sis_getschiedsrichter && $this->sis_getspielort ? "cs8osr" : "cs8");
		} elseif ( $this->sis_getschiedsrichter && $this->sis_getspielort) {
			$colspan = 9;
			$class ="cs9";
		} else {
			$colspan = 7;
			$class ="cs7";
		}
	}

	if ( $this->params->get( 'sis_getxmldatei') ) {
		echo '<pre>';
		print_r($this->spielplan);
		echo '</pre>';
	}

	if( $this->params->get( 'sis_getliganummer') || $this->params->get( 'sis_ueberschrift') ) {
		echo '<h2 id="sis_spielplan_liganame">';
		if( $this->params->get( 'sis_getliganummer') ) {
			//echo Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_LIGANAME' ).' '.$this->spielplan->Spielklasse->Name;
			echo $this->spielplan->Spielklasse->Name;
		}
		if( $this->params->get( 'sis_ueberschrift') ) {
			echo ($this->params->get( 'sis_getliganummer')) ? ' ' : '';
			echo $this->params->get( 'sis_ueberschrift');
		}
		echo '</h2>';
	}

	if ( $this->params->get( 'sis_ics_link') ) {
		echo '<div class="icsabo">';
		//echo '<a href="'.$SERVER['SERVER_NAME'].xmlsishandballv2Modelxmlsishandballv2::getICSLINK($this->params->get( 'sis_ics_link')).'" class="icsabo-icon" title="Bitte den Link kopieren, und in iCal oder Outlook für Kalender abonnieren verwenden" target="_blank">Spielplan abonnieren</a>';
		echo '<a href="'.JURI::base().xmlsishandballv2Modelxmlsishandballv2::getICSLINK($this->params->get( 'sis_ics_link')).'" class="icsabo-icon" title="Bitte den Link kopieren, und in iCal oder Outlook für Kalender abonnieren verwenden" target="_blank">Spielplan abonnieren</a>'; 
		echo ($this->params->get( 'sis_linkhilfeics')) ? ' | (<a href="'.$this->icshelplink.'" target="_top">Hilfe</a>)' : '';
		echo '</div>';
	}

	//echo '<table id="table_spielplan" class="'.$class.'">';
	echo '<table id="table_spielplan" class="table table-responsive table-sm table-striped table-condensed">';

	echo '<thead>';
	echo '<tr>';
	echo '<th style="text-align:left;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_HEAD_DATE' ).'</th>';
	echo '<th style="text-align:left;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_HEAD_TIME' ).'</th>';
	if($this->vereinsnummer == $this->params->get('sis_liganummer') && $this->params->get('sis_art') == "2" || $this->vereinsnummer == $this->params->get('sis_liganummer') && $this->params->get( 'sis_art') == "10" || $this->vereinsnummer == $this->params->get('sis_liganummer') && $this->params->get( 'sis_art') == "3" || $this->vereinsnummer == $this->params->get('sis_liganummer') && $this->params->get( 'sis_art') == "11" ) {
		echo '<th style="text-align:left;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_HEAD_LIGA' ).'</th>';
	}
	echo '<th style="text-align:right;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_HEAD_HOME' ).'</th>';
	echo '<th style="text-align:center;"> : </th>';
	echo '<th style="text-align:left;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_HEAD_GUEST' ).'</th>';
	if($this->params->get( 'sis_art') == "1" || $this->params->get( 'sis_art') == "1b" || $this->params->get( 'sis_art') == "2" || $this->params->get( 'sis_art') == "2a" || $this->params->get( 'sis_art') == "10" || $this->params->get( 'sis_art') == "10a" ) {
		echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_HEAD_RESULT' ).'</th>';
		echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_HEAD_POINTS' ).'</th>';
	}
	if ( $this->sis_getschiedsrichter ) {
		echo '<th style="text-align:left;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_HEAD_REFEREE' ).'</th>';
	}
	if ( $this->sis_getspielort ) {
		echo '<th style="text-align:left;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_HEAD_SPORTSHALL' ).'</th>';
	}
	echo '</tr>';
	echo '</thead>';

	echo '<tbody>';
	$heute = mktime(0, 0, 0, date("m")  , date("d"), date("Y"));
	if($this->params->get( 'sis_art') == "1a") {
		$futuredate = mktime(0, 0, 0, 1, 1, $this->params->get( 'sis_jahr'));
	}
	//if(!$this->spielplan->body->form->div->span){
	if(empty($this->spielplan->body->form->div->span)){
		foreach ($this->spielplan->Spiel as $spielplan) {
			if($this->params->get( 'sis_art') == "1b" || $this->params->get( 'sis_art') == "2a" || $this->params->get( 'sis_art') == "3a" || $this->params->get( 'sis_art') == "10a" || $this->params->get( 'sis_art') == "11a" ) {
				if ($zaehler%2 != 0) {
					$row_color = "odd";
				} else {
					$row_color = "even";
				}
				if( $this->params->get( 'sis_clubnummer') === (string) $spielplan->Mannschaft1 || $this->params->get( 'sis_clubnummer1') === (string) $spielplan->Mannschaft2 || $this->params->get( 'sis_clubnummer1') === (string) $spielplan->Mannschaft1 || $this->params->get( 'sis_clubnummer') === (string) $spielplan->Mannschaft2) {
					//echo '<tr class="'.$row_color.'"><td colspan="'.$colspan.'">1b nur eigenes team gewählt</td></tr>';
					echo '<tr class="'.$row_color.'">';
					echo '<td>';
					echo $spielplan->Datum.' ('.$wtag[date('D', strtotime ($spielplan->Datum))].')';
					echo '</td>';
					echo '<td>';
					echo substr($spielplan->vonUhrzeit, 0, -3).'&nbsp;'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_TIME_OCLOCK' );
					echo '</td>';
					echo '<td style="text-align:right;">';
					echo $spielplan->Heim;
					if( $this->params->get( 'sis_clublogo')) {
						if( xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft1)) {
							$clublogoimg = xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft1);
							echo ' <img class="clublogospright" src="'.$clublogoimg[0]->clublogo.'" style="height:'.$this->params->get('sis_clublogo_height').'px;">';
						} else {
							echo ' <img class="clublogospright" src="'.$clublogodefault.'" style="height:'.$this->params->get('sis_clublogo_height').'px;">';
						}
					}
					echo '</td>';
					echo '<td style="text-align:center;"> : </td>';
					echo '<td style="text-align:left;">';
					if( $this->params->get( 'sis_clublogo')) {
						if( xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft2)) {
							$clublogoimg = xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft2);
							echo '<img class="clublogospleft" src="'.$clublogoimg[0]->clublogo.'" style="height:'.$this->params->get('sis_clublogo_height').'px;"> ';
						} else {
							echo '<img class="clublogospleft" src="'.$clublogodefault.'" style="height:'.$this->params->get('sis_clublogo_height').'px;"> ';
						}
					}
					echo $spielplan->Gast;
					echo '</td>';
					if($this->params->get( 'sis_art') == "1b" || $this->params->get( 'sis_art') == "2a" || $this->params->get( 'sis_art') == "10a" ) {
						echo '<td style="text-align:center;">';
						echo $spielplan->Tore1.':'.$spielplan->Tore2;
						echo '</td>';
						echo '<td style="text-align:center;">';
						echo $spielplan->Punkte1.':'.$spielplan->Punkte2;
						echo '</td>';
					}
					if ( $this->sis_getschiedsrichter ) {
						echo '<td>'.$spielplan->GespannName.'</td>';
					}
					if ( $this->sis_getspielort ) {
						echo '<td>'.$spielplan->HallenName.'<br>'.$spielplan->HallenStrasse.', '.$spielplan->HallenOrt;
						echo ' (<a href="http://maps.google.com/maps?hl=de&ie=UTF8&q='.$spielplan->HallenStrasse.', '.$spielplan->HallenOrt.'&t=m&z=70" target="_blank">Karte</a>)';
						echo '</td>';
					}
					echo '</tr>';
					$zaehler++;
				}
			} else {
				//foreach ($this->spielplan as $spielplan) {
				//$row_color = ($zaehler % 2) ? 'odd' : 'even';
				if( $this->params->get( 'sis_clubnummer') === (string) $spielplan->Mannschaft1 || $this->params->get( 'sis_clubnummer1') === (string) $spielplan->Mannschaft2 || $this->params->get( 'sis_clubnummer1') === (string) $spielplan->Mannschaft1 || $this->params->get( 'sis_clubnummer') === (string) $spielplan->Mannschaft2) {
					$row_color = "team";
				} elseif ($zaehler%2 != 0) {
					$row_color = "odd";
				} else {
					$row_color = "even";
				}
		
				if($this->params->get( 'sis_art') == "1a") {
					$wtagsp = $wtag[date('D', strtotime ($spielplan->Datum))];
					$monatsp = $monat[date('M', strtotime ($spielplan->Datum))];
					$sdatum = mktime(0, 0, 0, date('m', strtotime ($spielplan->Datum))  , date('d', strtotime ($spielplan->Datum)), date('Y', strtotime ($spielplan->Datum)));
					if($heute <= $sdatum && $sdatum < $futuredate) {
						echo '<tr class="'.$row_color.'">';
						echo '<td>';
						echo $spielplan->Datum.' ('.$wtag[date('D', strtotime ($spielplan->Datum))].')';
						echo '</td>';
						echo '<td>';
						echo substr($spielplan->vonUhrzeit, 0, -3).'&nbsp;'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_TIME_OCLOCK' );
						echo '</td>';
						echo '<td style="text-align:right;">';
						echo $spielplan->Heim;
						if( $this->params->get( 'sis_clublogo')) {
							if( xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft1)) {
								$clublogoimg = xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft1);
								echo ' <img class="clublogospright" src="'.$clublogoimg[0]->clublogo.'" style="height:'.$this->params->get('sis_clublogo_height').'px;">';
							} else {
								echo ' <img class="clublogospright" src="'.$clublogodefault.'" style="height:'.$this->params->get('sis_clublogo_height').'px;">';
							}
						}
						echo '</td>';
						echo '<td style="text-align:center;"> : </td>';
						echo '<td style="text-align:left;">';
						if( $this->params->get( 'sis_clublogo')) {
							if( xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft2)) {
								$clublogoimg = xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft2);
								echo '<img class="clublogospleft" src="'.$clublogoimg[0]->clublogo.'" style="height:'.$this->params->get('sis_clublogo_height').'px;"> ';
							} else {
								echo '<img class="clublogospleft" src="'.$clublogodefault.'" style="height:'.$this->params->get('sis_clublogo_height').'px;"> ';
							}
						}
						echo $spielplan->Gast;
						echo '</td>';
						if ( $this->sis_getschiedsrichter ) {
							echo '<td>'.$spielplan->GespannName.'</td>';
						}
						if ( $this->sis_getspielort ) {
							echo '<td>'.$spielplan->HallenName.'<br>'.$spielplan->HallenStrasse.', '.$spielplan->HallenOrt;
							echo ' (<a href="http://maps.google.com/maps?hl=de&ie=UTF8&q='.$spielplan->HallenStrasse.', '.$spielplan->HallenOrt.'&t=m&z=70" target="_blank">Karte</a>)';
							echo '</td>';
						}
						echo '</tr>';
						$zaehler++;
					}	
				} else {
					echo '<tr class="'.$row_color.'">';
					echo '<td>';
					echo $spielplan->Datum.' ('.$wtag[date('D', strtotime ($spielplan->Datum))].')';
					echo '</td>';
					echo '<td>';
					echo substr($spielplan->vonUhrzeit, 0, -3).'&nbsp;'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_GAMEPLAN_TIME_OCLOCK' );
					echo '</td>';
					if($this->vereinsnummer == $this->params->get('sis_liganummer') && $this->params->get('sis_art') == "2" || $this->vereinsnummer == $this->params->get('sis_liganummer') && $this->params->get( 'sis_art') == "10" || $this->vereinsnummer == $this->params->get('sis_liganummer') && $this->params->get( 'sis_art') == "3" || $this->vereinsnummer == $this->params->get('sis_liganummer') && $this->params->get( 'sis_art') == "11" ) {
						echo '<td>';
						echo $spielplan->LigaName;
						echo '</td>';
					}
					echo '<td style="text-align:right;">';
					echo $spielplan->Heim;
					if( $this->params->get( 'sis_clublogo')) {
						if( xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft1)) {
							$clublogoimg = xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft1);
							echo ' <img class="clublogospright" src="'.$clublogoimg[0]->clublogo.'" style="height:'.$this->params->get('sis_clublogo_height').'px;">';
						} else {
							echo ' <img class="clublogospright" src="'.$clublogodefault.'" style="height:'.$this->params->get('sis_clublogo_height').'px;">';
						}
					}
					echo '</td>';
					echo '<td style="text-align:center;"> : </td>';
					echo '<td style="text-align:left;">';
					if( $this->params->get( 'sis_clublogo')) {
						if( xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft2)) {
							$clublogoimg = xmlsishandballv2Helper::getClublogo($spielplan->Mannschaft2);
							echo '<img class="clublogospleft" src="'.$clublogoimg[0]->clublogo.'" style="height:'.$this->params->get('sis_clublogo_height').'px;"> ';
						} else {
							echo '<img class="clublogospleft" src="'.$clublogodefault.'" style="height:'.$this->params->get('sis_clublogo_height').'px;"> ';
						}
					}
					echo $spielplan->Gast;
					echo '</td>';
					if($this->params->get( 'sis_art') == 1 || $this->params->get( 'sis_art') == 2 || $this->params->get( 'sis_art') == 10 ) {
						echo '<td style="text-align:center;">';
						echo $spielplan->Tore1.':'.$spielplan->Tore2;
						echo '</td>';
						echo '<td style="text-align:center;">';
						echo $spielplan->Punkte1.':'.$spielplan->Punkte2;
						echo '</td>';
					}
					if ( $this->sis_getschiedsrichter ) {
						echo '<td>'.$spielplan->GespannName.'</td>';
					}
					if ( $this->sis_getspielort ) {
						echo '<td>'.$spielplan->HallenName.'<br>'.$spielplan->HallenStrasse.', '.$spielplan->HallenOrt;
						echo ' (<a href="http://maps.google.com/maps?hl=de&ie=UTF8&q='.$spielplan->HallenStrasse.', '.$spielplan->HallenOrt.'&t=m&z=70" target="_blank">Karte</a>)';
						echo '</td>';
					}
					echo '</tr>';
					$zaehler++;
				} //end else 1a
			} //end else 1b
		}
	echo '</tbody>';
	} else {
		echo '<tbody>';
		echo "<tr>";
		echo '<td colspan="'.$colspan.'">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_NO_DATA' ).' ('.$this->spielplan->body->form->div->span.')';
		echo "</td>";
		echo "</tr>";
		echo '</tbody>';
	}

//}

	echo '<tfoot>';
	echo '<tr>';
	//echo 'Liganr.: '.$this->params->get('sis_liganummer');
	//$lastmodify = xmlsishandballv2Modelxmlsishandballv2::getUpdateTime($lnr,$this->params->get( 'sis_art'));
	$lastmodify = xmlsishandballv2Helper::getUpdateTime($this->params->get('sis_liganummer'),($this->params->get( 'sis_art')=="1a" ? "1" : ($this->params->get( 'sis_art')=="1b" ? "1" : ($this->params->get( 'sis_art')=="2a" ? "2" : ($this->params->get( 'sis_art')=="3a" ? "3" : ($this->params->get( 'sis_art')=="10a" ? "10" : ($this->params->get( 'sis_art') == "11a" ? "11" : $this->params->get( 'sis_art'))))))));
	echo '<td  class="small" colspan="'.$colspan.'">Quelle: <a href="'.$this->nationurl.'" target="_blank">'.substr($this->nationurl, 7).'</a> - '.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_LAST_UPDATE' ).' '.date("d.m.Y H:i:s", strtotime($lastmodify[0]->last_updated)).'</td>';
	echo "</tr>";
	echo '</tfoot>';
	echo '</table>';
	echo xmlsishandballv2Controller::xshv2Footer();

	}


