﻿<?php
/**
*XML SIS Handball v2
*
 * @package xmlsishandballv2 for Joomla 3
 * @version 4.0.2: default_table.php 2ß24-01-17
 * @author Martin Maetz (webmaster@maetzokopter.at)
 * @copyright (C) 2024 Martin Maetz (http://www.maetzokopter.at)
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

defined('_JEXEC') or die('Restricted access');

use Joomla\CMS\Language\Text;

	$clublogodefault = 'images/com_xmlsishandballv2/default/placeholder.png';

	$colspan = 9;

	if ( $this->params->get( 'sis_getxmldatei') ) {
		echo '<pre>';
		print_r($this->tabelle);
		echo '</pre>';
	}

	foreach ($this->tabelle->Spielklasse as $klasse) {
		echo '<h2 id="sis_tab_liganame">'.$klasse->Name;
		if( $this->params->get( 'sis_ueberschrift') ) {
			echo ' '.$this->params->get( 'sis_ueberschrift');
		}
		echo '</h2>';
	}

	echo '<table id="sistabelle" class="table table-striped table-responsive">';

	echo '<thead>';	
	echo '<tr class="sisdesc">';
		echo '<th style="text-align:left;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_TABLE_HEAD_PLACE' ).'</th>';
		echo '<th style="text-align:left;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_TABLE_HEAD_TEAM' ).'</th>';
		echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_TABLE_HEAD_GAMES' ).'</th>';
		echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_TABLE_HEAD_WON' ).'</th>';
		echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_TABLE_HEAD_EVEN' ).'</th>';
		echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_TABLE_HEAD_LOSE' ).'</th>';
		echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_TABLE_HEAD_GOALS' ).'</th>';
		echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_TABLE_HEAD_GOAL_DIFFERENCE' ).'</th>';
		echo '<th style="text-align:center;">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_TABLE_HEAD_POINTS' ).'</th>';
	echo '</tr>';
	echo '</thead>';

	echo '<tbody>';

	//echo 'Fehlermeldung: '.$this->tabelle->body->form->div->span;
	$i=1;
	//if(!$this->tabelle->body->form->div->span){
	if(empty($this->tabelle->body->form->div->span)){
		foreach ($this->tabelle->Platzierung as $platz) {
			if( $this->params->get( 'sis_clubnummer') === (string) $platz->Verein || $this->params->get( 'sis_clubnummer1') === (string) $platz->Verein ) {
				echo '<tr class="team">';
			} elseif ($i%2 != 0) {
				echo '<tr class="odd">';
			} else {
				echo '<tr class="even">';
			}
			$Punkte = $platz->Gewonnen*2 + $platz->Unentschieden;
	
			echo '<td>';
			echo $platz->Nr;
			echo '</td>';
			echo '<td>';
			if( $this->params->get( 'sis_clublogo')) {
				if( xmlsishandballv2Helper::getClublogo($platz->Verein)) {
					$clublogoimg = xmlsishandballv2Helper::getClublogo($platz->Verein);
					echo '<img class="clublogotab" src="'.$clublogoimg[0]->clublogo.'" style="height:'.$this->params->get('sis_clublogo_height').'px;"> ';
				} else {
					echo '<img class="clublogotab" src="'.$clublogodefault.'" style="height:'.$this->params->get('sis_clublogo_height').'px;"> ';
				}
			}
			echo $platz->Name;
			echo '</td>';
			echo '<td style="text-align:center;">';
			echo $platz->Spiele.'/'.$platz->SpieleInsgesamt;
			echo '</td>';
			echo '<td style="text-align:center;">';
			echo $platz->Gewonnen;
			echo '</td>';
			echo '<td style="text-align:center;">';
			echo $platz->Unentschieden;
			echo '</td>';
			echo '<td style="text-align:center;">';
			echo $platz->Verloren;
			echo '</td>';
			echo '<td style="text-align:center;">';
			echo $platz->TorePlus.':'.$platz->ToreMinus;
			echo '</td>';
			echo '<td style="text-align:center;">';
			echo $platz->D;
			echo '</td>';
			echo '<td style="text-align:center;">';
			if( $this->params->get('sis_tabpunkte_pm') ) {
				echo $platz->PunktePlus.':'.$platz->PunkteMinus;
			} else {
				echo $Punkte;
			}
			echo '</td>';
			echo '</tr>';
			$i++;
		}
	echo '</tbody>';
	} else {
		echo '<tbody>';
		echo "<tr>";
		echo '<td colspan="'.$colspan.'">'.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_NO_DATA' ).' ('.$this->tabelle->body->form->div->span.')';
		echo "</td>";
		echo "</tr>";
		echo '</tbody>';
	}
	echo '<tfoot>';
	echo '<tr>';
	echo '<td class="small" colspan="'.$colspan.'">';
	$lastmodify = xmlsishandballv2Helper::getUpdateTime($this->params->get('sis_liganummer'),$this->params->get( 'sis_art'));
	echo 'Quelle: <a href="'.$this->nationurl.'" target="_blank">'.substr($this->nationurl, 7).'</a> - '.Text::_( 'COM_XMLSISHANDBALLV2_TMPL_XMLSISHANDBALLV2_DEFAULT_LAST_UPDATE' ).' '.date("d.m.Y H:i:s", strtotime($lastmodify[0]->last_updated));
	echo "</td>";
	echo "</tr>";
	echo '</tfoot>';
	echo '</table>';
	echo xmlsishandballv2Controller::xshv2Footer();


